You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@nuttx.apache.org by pk...@apache.org on 2022/10/28 19:22:50 UTC

[incubator-nuttx] branch master updated (5bee68ebac -> c8670cf2eb)

This is an automated email from the ASF dual-hosted git repository.

pkarashchenko pushed a change to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx.git


    from 5bee68ebac sched: remove the unused function nx_wait and nx_waitid
     new cdf8cff1f6 tools/ci/cibuild.sh: Move all pip3 installation into python-tools
     new 9810ab817d tools/ci/cibuild.sh: Keep the installation in alphabetical order
     new c8670cf2eb tools/ci/cibuild.sh: Add bloaty to install variable

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 tools/ci/cibuild.sh | 379 ++++++++++++++++++++++++++--------------------------
 1 file changed, 190 insertions(+), 189 deletions(-)


[incubator-nuttx] 02/03: tools/ci/cibuild.sh: Keep the installation in alphabetical order

Posted by pk...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

pkarashchenko pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx.git

commit 9810ab817dabbb462692d654b7b16f9bc0217a9b
Author: Xiang Xiao <xi...@xiaomi.com>
AuthorDate: Fri Oct 21 13:27:32 2022 +0800

    tools/ci/cibuild.sh: Keep the installation in alphabetical order
    
    Signed-off-by: Xiang Xiao <xi...@xiaomi.com>
---
 tools/ci/cibuild.sh | 380 ++++++++++++++++++++++++++--------------------------
 1 file changed, 192 insertions(+), 188 deletions(-)

diff --git a/tools/ci/cibuild.sh b/tools/ci/cibuild.sh
index 7bc38b9878..3eded033bf 100755
--- a/tools/ci/cibuild.sh
+++ b/tools/ci/cibuild.sh
@@ -37,7 +37,7 @@ EXTRA_PATH=
 
 case ${os} in
   Darwin)
-    install="python-tools u-boot-tools elf-toolchain gen-romfs kconfig-frontends rust arm-gcc-toolchain arm64-gcc-toolchain riscv-gcc-toolchain xtensa-esp32-gcc-toolchain avr-gcc-toolchain c-cache binutils"
+    install="arm-gcc-toolchain arm64-gcc-toolchain avr-gcc-toolchain binutils c-cache elf-toolchain gen-romfs kconfig-frontends python-tools riscv-gcc-toolchain rust xtensa-esp32-gcc-toolchain u-boot-tools"
     mkdir -p "${prebuilt}"/homebrew
     export HOMEBREW_CACHE=${prebuilt}/homebrew
     # https://github.com/actions/virtual-environments/issues/2322#issuecomment-749211076
@@ -46,7 +46,7 @@ case ${os} in
     brew update --quiet
     ;;
   Linux)
-    install="python-tools clang_clang-tidy gen-romfs gperf kconfig-frontends rust arm-clang-toolchain arm-gcc-toolchain arm64-gcc-toolchain mips-gcc-toolchain riscv-gcc-toolchain xtensa-esp32-gcc-toolchain rx-gcc-toolchain sparc-gcc-toolchain c-cache"
+    install="arm-clang-toolchain arm-gcc-toolchain arm64-gcc-toolchain c-cache clang_clang-tidy gen-romfs gperf kconfig-frontends mips-gcc-toolchain python-tools riscv-gcc-toolchain rust rx-gcc-toolchain sparc-gcc-toolchain xtensa-esp32-gcc-toolchain"
     ;;
 esac
 
@@ -55,46 +55,135 @@ function add_path {
   EXTRA_PATH=$1:${EXTRA_PATH}
 }
 
-function python-tools {
-  # Python User Env
-  PIP_USER=yes
-  export PIP_USER
-  PYTHONUSERBASE=${prebuilt}/pylocal
-  export PYTHONUSERBASE
-  add_path "${PYTHONUSERBASE}"/bin
-  pip3 install CodeChecker
-  pip3 install cxxfilt
-  pip3 install esptool==3.3.1
-  pip3 install pexpect==4.8.0
-  pip3 install pyelftools
-  pip3 install pyserial==3.5
-  pip3 install pytest==6.2.5
-  pip3 install pytest-json==0.4.0
-  pip3 install pytest-ordering==0.6
-  pip3 install pytest-repeat==0.9.1
+function arm-clang-toolchain {
+  add_path "${prebuilt}"/clang-arm-none-eabi/bin
 
-  # MCUboot's tool for image signing and key management
-  if ! command -v imgtool &> /dev/null; then
-    pip3 install imgtool
+  if [ ! -f "${prebuilt}/clang-arm-none-eabi/bin/clang" ]; then
+    cd "${prebuilt}"
+    curl -O -L -s https://github.com/ARM-software/LLVM-embedded-toolchain-for-Arm/releases/download/release-14.0.0/LLVMEmbeddedToolchainForArm-14.0.0-linux.tar.gz
+    tar zxf LLVMEmbeddedToolchainForArm-14.0.0-linux.tar.gz
+    mv LLVMEmbeddedToolchainForArm-14.0.0 clang-arm-none-eabi
+    cp /usr/bin/clang-extdef-mapping-10 clang-arm-none-eabi/bin/clang-extdef-mapping
+    rm LLVMEmbeddedToolchainForArm-14.0.0-linux.tar.gz
   fi
+  clang --version
 }
 
-function clang_clang-tidy {
-  # Install Clang and Clang-Tidy for Ubuntu.
-  apt-get update -qq && DEBIAN_FRONTEND="noninteractive" apt-get install -y -qq \
-    -o APT::Immediate-Configure=0 \
-    clang \
-    clang-tidy
+function arm-gcc-toolchain {
+  add_path "${prebuilt}"/gcc-arm-none-eabi/bin
+
+  if [ ! -f "${prebuilt}/gcc-arm-none-eabi/bin/arm-none-eabi-gcc" ]; then
+    local flavor
+    case ${os} in
+      Darwin)
+        flavor=-darwin
+        ;;
+      Linux)
+        flavor=
+        ;;
+    esac
+    cd "${prebuilt}"
+    wget --quiet https://developer.arm.com/-/media/Files/downloads/gnu/11.3.rel1/binrel/arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar.xz
+    xz -d arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar.xz
+    tar xf arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar
+    mv arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi gcc-arm-none-eabi
+    patch -p0 < ${nuttx}/tools/ci/patch/arm-none-eabi-workaround-for-newlib-version-break.patch
+    rm arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar
+  fi
+  arm-none-eabi-gcc --version
 }
 
-function u-boot-tools {
-  if ! type mkimage &> /dev/null; then
+function arm64-gcc-toolchain {
+  add_path "${prebuilt}"/gcc-aarch64-none-elf/bin
+
+  if [ ! -f "${prebuilt}/gcc-aarch64-none-elf/bin/aarch64-none-elf-gcc" ]; then
+    local flavor
     case ${os} in
       Darwin)
-        brew install u-boot-tools
+        flavor=darwin-x86_64
+        ;;
+      Linux)
+        flavor=x86_64
         ;;
     esac
+    cd "${prebuilt}"
+    wget --quiet https://developer.arm.com/-/media/Files/downloads/gnu/11.2-2022.02/binrel/gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar.xz
+    xz -d gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar.xz
+    tar xf gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar
+    mv gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf gcc-aarch64-none-elf
+    rm gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar
   fi
+  aarch64-none-elf-gcc --version
+}
+
+function avr-gcc-toolchain {
+  if ! type avr-gcc &> /dev/null; then
+    case ${os} in
+      Darwin)
+        brew tap osx-cross/avr
+        brew install avr-gcc
+        ;;
+    esac
+  fi
+}
+
+function binutils {
+  mkdir -p "${prebuilt}"/bintools/bin
+  add_path "${prebuilt}"/bintools/bin
+
+  if ! type objcopy &> /dev/null; then
+    case ${os} in
+      Darwin)
+        brew install binutils
+        # It is possible we cached prebuilt but did brew install so recreate
+        # symlink if it exists
+        rm -f "${prebuilt}"/bintools/bin/objcopy
+        ln -s /usr/local/opt/binutils/bin/objcopy "${prebuilt}"/bintools/bin/objcopy
+        ;;
+    esac
+  fi
+}
+
+function bloaty {
+  add_path "${prebuilt}"/bloaty/bin
+  if [ ! -f "${prebuilt}/bloaty/bin/bloaty" ]; then
+    git clone --depth 1 --branch v1.1 https://github.com/google/bloaty bloaty-src
+    cd bloaty-src
+    mkdir -p "${prebuilt}"/bloaty
+    cmake -DCMAKE_SYSTEM_PREFIX_PATH="${prebuilt}"/bloaty
+    make install -j 6
+    cd "${prebuilt}"
+    rm -rf bloaty-src
+  fi
+}
+
+function c-cache {
+  add_path "${prebuilt}"/ccache/bin
+
+  if ! type ccache &> /dev/null; then
+    case ${os} in
+      Darwin)
+        brew install ccache
+        ;;
+      Linux)
+        cd "${prebuilt}";
+        wget https://github.com/ccache/ccache/releases/download/v3.7.7/ccache-3.7.7.tar.gz
+        tar zxf ccache-3.7.7.tar.gz
+        cd ccache-3.7.7; ./configure --prefix="${prebuilt}"/ccache; make; make install
+        cd "${prebuilt}"; rm -rf ccache-3.7.7; rm ccache-3.7.7.tar.gz
+        ;;
+    esac
+  fi
+
+  ccache --version
+}
+
+function clang_clang-tidy {
+  # Install Clang and Clang-Tidy for Ubuntu.
+  apt-get update -qq && DEBIAN_FRONTEND="noninteractive" apt-get install -y -qq \
+    -o APT::Immediate-Configure=0 \
+    clang \
+    clang-tidy
 }
 
 function elf-toolchain {
@@ -154,80 +243,6 @@ function kconfig-frontends {
   fi
 }
 
-function bloaty {
-  add_path "${prebuilt}"/bloaty/bin
-  if [ ! -f "${prebuilt}/bloaty/bin/bloaty" ]; then
-    git clone --depth 1 --branch v1.1 https://github.com/google/bloaty bloaty-src
-    cd bloaty-src
-    mkdir -p "${prebuilt}"/bloaty
-    cmake -DCMAKE_SYSTEM_PREFIX_PATH="${prebuilt}"/bloaty
-    make install -j 6
-    cd "${prebuilt}"
-    rm -rf bloaty-src
-  fi
-}
-
-function arm-clang-toolchain {
-  add_path "${prebuilt}"/clang-arm-none-eabi/bin
-
-  if [ ! -f "${prebuilt}/clang-arm-none-eabi/bin/clang" ]; then
-    cd "${prebuilt}"
-    curl -O -L -s https://github.com/ARM-software/LLVM-embedded-toolchain-for-Arm/releases/download/release-14.0.0/LLVMEmbeddedToolchainForArm-14.0.0-linux.tar.gz
-    tar zxf LLVMEmbeddedToolchainForArm-14.0.0-linux.tar.gz
-    mv LLVMEmbeddedToolchainForArm-14.0.0 clang-arm-none-eabi
-    cp /usr/bin/clang-extdef-mapping-10 clang-arm-none-eabi/bin/clang-extdef-mapping
-    rm LLVMEmbeddedToolchainForArm-14.0.0-linux.tar.gz
-  fi
-  clang --version
-}
-
-function arm-gcc-toolchain {
-  add_path "${prebuilt}"/gcc-arm-none-eabi/bin
-
-  if [ ! -f "${prebuilt}/gcc-arm-none-eabi/bin/arm-none-eabi-gcc" ]; then
-    local flavor
-    case ${os} in
-      Darwin)
-        flavor=-darwin
-        ;;
-      Linux)
-        flavor=
-        ;;
-    esac
-    cd "${prebuilt}"
-    wget --quiet https://developer.arm.com/-/media/Files/downloads/gnu/11.3.rel1/binrel/arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar.xz
-    xz -d arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar.xz
-    tar xf arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar
-    mv arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi gcc-arm-none-eabi
-    patch -p0 < ${nuttx}/tools/ci/patch/arm-none-eabi-workaround-for-newlib-version-break.patch
-    rm arm-gnu-toolchain-11.3.rel1${flavor}-x86_64-arm-none-eabi.tar
-  fi
-  arm-none-eabi-gcc --version
-}
-
-function arm64-gcc-toolchain {
-  add_path "${prebuilt}"/gcc-aarch64-none-elf/bin
-
-  if [ ! -f "${prebuilt}/gcc-aarch64-none-elf/bin/aarch64-none-elf-gcc" ]; then
-    local flavor
-    case ${os} in
-      Darwin)
-        flavor=darwin-x86_64
-        ;;
-      Linux)
-        flavor=x86_64
-        ;;
-    esac
-    cd "${prebuilt}"
-    wget --quiet https://developer.arm.com/-/media/Files/downloads/gnu/11.2-2022.02/binrel/gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar.xz
-    xz -d gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar.xz
-    tar xf gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar
-    mv gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf gcc-aarch64-none-elf
-    rm gcc-arm-11.2-2022.02-${flavor}-aarch64-none-elf.tar
-  fi
-  aarch64-none-elf-gcc --version
-}
-
 function mips-gcc-toolchain {
   add_path "${prebuilt}"/pinguino-compilers/linux64/p32/bin
 
@@ -238,6 +253,30 @@ function mips-gcc-toolchain {
   p32-gcc --version
 }
 
+function python-tools {
+  # Python User Env
+  PIP_USER=yes
+  export PIP_USER
+  PYTHONUSERBASE=${prebuilt}/pylocal
+  export PYTHONUSERBASE
+  add_path "${PYTHONUSERBASE}"/bin
+  pip3 install CodeChecker
+  pip3 install cxxfilt
+  pip3 install esptool==3.3.1
+  pip3 install pexpect==4.8.0
+  pip3 install pyelftools
+  pip3 install pyserial==3.5
+  pip3 install pytest==6.2.5
+  pip3 install pytest-json==0.4.0
+  pip3 install pytest-ordering==0.6
+  pip3 install pytest-repeat==0.9.1
+
+  # MCUboot's tool for image signing and key management
+  if ! command -v imgtool &> /dev/null; then
+    pip3 install imgtool
+  fi
+}
+
 function riscv-gcc-toolchain {
   add_path "${prebuilt}"/riscv64-unknown-elf-gcc/bin
 
@@ -260,34 +299,19 @@ function riscv-gcc-toolchain {
   riscv64-unknown-elf-gcc --version
 }
 
-function xtensa-esp32-gcc-toolchain {
-  add_path "${prebuilt}"/xtensa-esp32-elf/bin
+function rust {
+  mkdir -p "${prebuilt}"/rust/bin
+  add_path "${prebuilt}"/rust/bin
 
-  if [ ! -f "${prebuilt}/xtensa-esp32-elf/bin/xtensa-esp32-elf-gcc" ]; then
-    cd "${prebuilt}"
+  if ! type rustc &> /dev/null; then
     case ${os} in
       Darwin)
-        wget --quiet https://dl.espressif.com/dl/xtensa-esp32-elf-gcc8_4_0-esp-2021r1-macos.tar.gz
-        tar xzf xtensa-esp32-elf-gcc8_4_0-esp-2021r1-macos.tar.gz
-        rm xtensa-esp32-elf-gcc8_4_0-esp-2021r1-macos.tar.gz
+        brew install rust
         ;;
       Linux)
-        wget --quiet https://dl.espressif.com/dl/xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar.xz
-        xz -d xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar.xz
-        tar xf xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar
-        rm xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar
-        ;;
-    esac
-  fi
-  xtensa-esp32-elf-gcc --version
-}
-
-function avr-gcc-toolchain {
-  if ! type avr-gcc &> /dev/null; then
-    case ${os} in
-      Darwin)
-        brew tap osx-cross/avr
-        brew install avr-gcc
+        # Currently Debian installed rustc doesn't support 2021 edition.
+        export CARGO_HOME=${prebuilt}/rust
+        curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y
         ;;
     esac
   fi
@@ -361,78 +385,33 @@ function sparc-gcc-toolchain {
   sparc-gaisler-elf-gcc --version
 }
 
-function c-cache {
-  add_path "${prebuilt}"/ccache/bin
+function xtensa-esp32-gcc-toolchain {
+  add_path "${prebuilt}"/xtensa-esp32-elf/bin
 
-  if ! type ccache &> /dev/null; then
+  if [ ! -f "${prebuilt}/xtensa-esp32-elf/bin/xtensa-esp32-elf-gcc" ]; then
+    cd "${prebuilt}"
     case ${os} in
       Darwin)
-        brew install ccache
+        wget --quiet https://dl.espressif.com/dl/xtensa-esp32-elf-gcc8_4_0-esp-2021r1-macos.tar.gz
+        tar xzf xtensa-esp32-elf-gcc8_4_0-esp-2021r1-macos.tar.gz
+        rm xtensa-esp32-elf-gcc8_4_0-esp-2021r1-macos.tar.gz
         ;;
       Linux)
-        cd "${prebuilt}";
-        wget https://github.com/ccache/ccache/releases/download/v3.7.7/ccache-3.7.7.tar.gz
-        tar zxf ccache-3.7.7.tar.gz
-        cd ccache-3.7.7; ./configure --prefix="${prebuilt}"/ccache; make; make install
-        cd "${prebuilt}"; rm -rf ccache-3.7.7; rm ccache-3.7.7.tar.gz
-        ;;
-    esac
-  fi
-
-  ccache --version
-  mkdir -p "${prebuilt}"/ccache/bin/
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/x86_64-elf-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/x86_64-elf-g++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/cc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/c++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/clang
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/clang++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/g++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/arm-none-eabi-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/arm-none-eabi-g++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/aarch64-none-elf-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/aarch64-none-elf-g++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/p32-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/riscv64-unknown-elf-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/riscv64-unknown-elf-g++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/xtensa-esp32-elf-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/avr-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/avr-g++
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/sparc-gaisler-elf-gcc
-  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/sparc-gaisler-elf-g++
-}
-
-function binutils {
-  mkdir -p "${prebuilt}"/bintools/bin
-  add_path "${prebuilt}"/bintools/bin
-
-  if ! type objcopy &> /dev/null; then
-    case ${os} in
-      Darwin)
-        brew install binutils
-        # It is possible we cached prebuilt but did brew install so recreate
-        # symlink if it exists
-        rm -f "${prebuilt}"/bintools/bin/objcopy
-        ln -s /usr/local/opt/binutils/bin/objcopy "${prebuilt}"/bintools/bin/objcopy
+        wget --quiet https://dl.espressif.com/dl/xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar.xz
+        xz -d xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar.xz
+        tar xf xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar
+        rm xtensa-esp32-elf-gcc8_4_0-esp32-2021r1-linux-amd64.tar
         ;;
     esac
   fi
+  xtensa-esp32-elf-gcc --version
 }
 
-function rust {
-  mkdir -p "${prebuilt}"/rust/bin
-  add_path "${prebuilt}"/rust/bin
-
-  if ! type rustc &> /dev/null; then
+function u-boot-tools {
+  if ! type mkimage &> /dev/null; then
     case ${os} in
       Darwin)
-        brew install rust
-        ;;
-      Linux)
-        # Currently Debian installed rustc doesn't support 2021 edition.
-        export CARGO_HOME=${prebuilt}/rust
-        curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y
+        brew install u-boot-tools
         ;;
     esac
   fi
@@ -461,6 +440,30 @@ function enable_ccache {
   ccache -s
 }
 
+function setup_links {
+  mkdir -p "${prebuilt}"/ccache/bin/
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/aarch64-none-elf-gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/aarch64-none-elf-g++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/arm-none-eabi-gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/arm-none-eabi-g++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/avr-gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/avr-g++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/cc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/c++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/clang
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/clang++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/g++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/p32-gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/riscv64-unknown-elf-gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/riscv64-unknown-elf-g++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/sparc-gaisler-elf-gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/sparc-gaisler-elf-g++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/x86_64-elf-gcc
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/x86_64-elf-g++
+  ln -sf "$(which ccache)" "${prebuilt}"/ccache/bin/xtensa-esp32-elf-gcc
+}
+
 function setup_repos {
   pushd .
   if [ -d "${nuttx}" ]; then
@@ -488,6 +491,7 @@ function install_tools {
   done
   popd
 
+  setup_links
   echo PATH="${EXTRA_PATH}"/"${PATH}" > "${prebuilt}"/env.sh
 }
 


[incubator-nuttx] 03/03: tools/ci/cibuild.sh: Add bloaty to install variable

Posted by pk...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

pkarashchenko pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx.git

commit c8670cf2ebe3cbf9ec09902c7ac1df89a02c2166
Author: Xiang Xiao <xi...@xiaomi.com>
AuthorDate: Fri Oct 21 13:37:30 2022 +0800

    tools/ci/cibuild.sh: Add bloaty to install variable
    
    Signed-off-by: Xiang Xiao <xi...@xiaomi.com>
---
 tools/ci/cibuild.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/ci/cibuild.sh b/tools/ci/cibuild.sh
index 3eded033bf..54dda71e74 100755
--- a/tools/ci/cibuild.sh
+++ b/tools/ci/cibuild.sh
@@ -37,7 +37,7 @@ EXTRA_PATH=
 
 case ${os} in
   Darwin)
-    install="arm-gcc-toolchain arm64-gcc-toolchain avr-gcc-toolchain binutils c-cache elf-toolchain gen-romfs kconfig-frontends python-tools riscv-gcc-toolchain rust xtensa-esp32-gcc-toolchain u-boot-tools"
+    install="arm-gcc-toolchain arm64-gcc-toolchain avr-gcc-toolchain binutils bloaty c-cache elf-toolchain gen-romfs kconfig-frontends python-tools riscv-gcc-toolchain rust xtensa-esp32-gcc-toolchain u-boot-tools"
     mkdir -p "${prebuilt}"/homebrew
     export HOMEBREW_CACHE=${prebuilt}/homebrew
     # https://github.com/actions/virtual-environments/issues/2322#issuecomment-749211076
@@ -46,7 +46,7 @@ case ${os} in
     brew update --quiet
     ;;
   Linux)
-    install="arm-clang-toolchain arm-gcc-toolchain arm64-gcc-toolchain c-cache clang_clang-tidy gen-romfs gperf kconfig-frontends mips-gcc-toolchain python-tools riscv-gcc-toolchain rust rx-gcc-toolchain sparc-gcc-toolchain xtensa-esp32-gcc-toolchain"
+    install="arm-clang-toolchain arm-gcc-toolchain arm64-gcc-toolchain bloaty c-cache clang_clang-tidy gen-romfs gperf kconfig-frontends mips-gcc-toolchain python-tools riscv-gcc-toolchain rust rx-gcc-toolchain sparc-gcc-toolchain xtensa-esp32-gcc-toolchain"
     ;;
 esac
 


[incubator-nuttx] 01/03: tools/ci/cibuild.sh: Move all pip3 installation into python-tools

Posted by pk...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

pkarashchenko pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx.git

commit cdf8cff1f627c23f1647f1b3bf1c6eb8415a6137
Author: Xiang Xiao <xi...@xiaomi.com>
AuthorDate: Fri Oct 21 13:03:35 2022 +0800

    tools/ci/cibuild.sh: Move all pip3 installation into python-tools
    
    and keep the installation in alphabetical order
    
    Signed-off-by: Xiang Xiao <xi...@xiaomi.com>
---
 tools/ci/cibuild.sh | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

diff --git a/tools/ci/cibuild.sh b/tools/ci/cibuild.sh
index 2cd066dbda..7bc38b9878 100755
--- a/tools/ci/cibuild.sh
+++ b/tools/ci/cibuild.sh
@@ -46,7 +46,7 @@ case ${os} in
     brew update --quiet
     ;;
   Linux)
-    install="python-tools codechecker clang_clang-tidy gen-romfs gperf kconfig-frontends rust arm-clang-toolchain arm-gcc-toolchain arm64-gcc-toolchain mips-gcc-toolchain riscv-gcc-toolchain xtensa-esp32-gcc-toolchain rx-gcc-toolchain sparc-gcc-toolchain c-cache"
+    install="python-tools clang_clang-tidy gen-romfs gperf kconfig-frontends rust arm-clang-toolchain arm-gcc-toolchain arm64-gcc-toolchain mips-gcc-toolchain riscv-gcc-toolchain xtensa-esp32-gcc-toolchain rx-gcc-toolchain sparc-gcc-toolchain c-cache"
     ;;
 esac
 
@@ -62,14 +62,16 @@ function python-tools {
   PYTHONUSERBASE=${prebuilt}/pylocal
   export PYTHONUSERBASE
   add_path "${PYTHONUSERBASE}"/bin
+  pip3 install CodeChecker
+  pip3 install cxxfilt
+  pip3 install esptool==3.3.1
   pip3 install pexpect==4.8.0
+  pip3 install pyelftools
+  pip3 install pyserial==3.5
   pip3 install pytest==6.2.5
-  pip3 install pytest-repeat==0.9.1
   pip3 install pytest-json==0.4.0
   pip3 install pytest-ordering==0.6
-  pip3 install pyserial==3.5
-  pip3 install pyelftools
-  pip3 install cxxfilt
+  pip3 install pytest-repeat==0.9.1
 
   # MCUboot's tool for image signing and key management
   if ! command -v imgtool &> /dev/null; then
@@ -77,10 +79,6 @@ function python-tools {
   fi
 }
 
-function codechecker {
-  pip3 install CodeChecker
-}
-
 function clang_clang-tidy {
   # Install Clang and Clang-Tidy for Ubuntu.
   apt-get update -qq && DEBIAN_FRONTEND="noninteractive" apt-get install -y -qq \
@@ -282,7 +280,6 @@ function xtensa-esp32-gcc-toolchain {
     esac
   fi
   xtensa-esp32-elf-gcc --version
-  pip3 install esptool==3.3.1
 }
 
 function avr-gcc-toolchain {